local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")
local uhhh = getEntity("DialogNPC", "Celeste.Mod.DoonvHelper.Entities.")
local bettertext = require("#Celeste.Mod.CrossoverCollab.Code.PointsStuff.BetterTextbox")

function onBegin()
	uhhh.CutsceneModeEnabled = true
	coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("ANDYB", "stupid"))
	bettersay("you cheater can have all permabuffs now")
	uhhh.CutsceneModeEnabled = false
	setFlag("BandOfRegeneration",true)
	setFlag("CoyoteMask",true)
	setFlag("PeaceCandle",true)
	
	setFlag("catTalkedE",true)
	setFlag("Midas",true)
	setFlag("VitalCrystal",true)
	
	setFlag("CameraBuff",true)
	setFlag("FallThrough",true)
	setFlag("RocketBoots",true)
	
	setFlag("FrogLegs",true)
	setFlag("UltrabrightHelmet",true)
	setFlag("Clairvoyance",true)
	
	setFlag("Sponge",true)
	setFlag("fishingState",true)
	setFlag("GravitationPotion",true)
	
	setFlag("2manas",true)
	setFlag("3manas",true)
	setFlag("4manas",true)
	setFlag("5manas",true)
	setFlag("6manas",true)
	setFlag("7manas",true)
	setFlag("8manas",true)
	setFlag("9manas",true)
	setFlag("10manas",true)
	setFlag("2hearts",true)
	setFlag("3hearts",true)
	setFlag("4hearts",true)
	setFlag("5hearts",true)
	setFlag("6hearts",true)
	setFlag("7hearts",true)
	setFlag("8hearts",true)
	setFlag("9hearts",true)
	setFlag("10hearts",true)
end

function bettersay(dialog)
    coroutine.yield(bettertext.Say(tostring(dialog)))
end